CyberSecurity Alert!

D-Link Routers Security Vulnerability

James Phipps

Time to replace

D-Link will not patch a critical unauthenticated command-injection vulnerability in its routers.  This vulnerability is serious because it could allow an attacker to remotely take over devices and execute code.  The affected "consumer grade" D-Link routers are not designed to last for longer than a year or two. So it's not surprising, that D-Link has decided to not fix the vulnerabilities.  Business consumers should always take into account the (TCO) "Total Cost of Ownership"  and not just the sticker price when making purchase decisions.  


Odoo • A picture with a caption
Models DIR-655, DIR-866L, DIR-653 and DHP-156 are affected by this vulnerability.  

No CyberSecurity leads to Big business Risk

BeCloudIT provides expert cybersecurity to reduce those risks!